%define anolis_release 1
Name:           libtimezonemap
Version:        0.4.5.2
Release:        %{anolis_release}%{?dist}
Summary:        Time zone map widget for Gtk+

License:        GPLv3
URL:            https://launchpad.net/timezonemap
Source0:        https://github.com/dashea/timezonemap/archive/%{version}.tar.gz

BuildRequires:  glib2-devel >= 2.26
BuildRequires:  gtk3-devel >= 3.1.4
BuildRequires:  json-glib-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gnome-common
BuildRequires:  libsoup-devel >= 2.42.0
BuildRequires:  librsvg2-devel
BuildRequires: make

%description
libtimezonemap is a time zone map widget for Gtk+. The widget displays a world
map with a highlighted region representing the selected time zone, and the
location can be changed by clicking on the map.

This library is a fork of the of the code from gnome-control-center's datetime
panel, which was itself a fork of Ubiquity's timezone map.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
libtimezonemap is a time zone map widget for Gtk+. This package contains header
files used for building applications that use %{name}.

%prep
%autosetup -n timezonemap-%{version}

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets

%files
%license COPYING
%{_libdir}/libtimezonemap.so.*
%{_libdir}/girepository-1.0/TimezoneMap-1.0.typelib
%{_datadir}/%{name}

%files doc
%doc README TODO

%files devel
%{_libdir}/libtimezonemap.so
%{_libdir}/pkgconfig/timezonemap.pc
%{_includedir}/timezonemap
%{_datadir}/gir-1.0/TimezoneMap-1.0.gir
%{_datadir}/glade/catalogs/TimezoneMap.xml

%changelog
* Tue Sep 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.5.2-1
- update to 0.4.5.2

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.5.1-1
- Init from upstream version 0.4.5.1

